/********************************************************

  hexrev.h : 六角リバーシ

             Copyright (C) 1999-2005,2014 Makoto Hiroi


    盤面の座標（１次元配列で表す）

            　０　１　２　３　４　５
            ６  ７  ８  ９  10  11  12
          13  14  15  16  17  18  19  20
        21  22  23  24  25  26  27  28  29
      30  31  32  33  34  35  36  37  38  39
    40  41  42  43  44  45  46  47  48  49  50
      51  52  53  54  55  56  57  58  59  60
        61  62  63  64  65  66  67  68  69
          70  71  72  73  74  75  76  77
            78  79  80  81  82  83  84
              85  86  87  88  89  90

*********************************************************/
#include    <stdlib.h>
#include    <time.h>
#include    <limits.h>
#include    <string.h>

#define    TRUE    1
#define    FALSE    0

#define    SIZE    91        /* 盤面の大きさ */
#define    BLACK    0        /* 黒駒 */
#define    WHITE    1        /* 白駒 */
#define    FREE     2        /* 駒なし */
#define    DIR      6        /* 石を返す方向 */
#define    PASS    (-1)      /* パスした場合 */
#define    FINISH   20       /* 読み切りモード */

#define    MAX_VALUE    100000
#define    MIN_VALUE    (-100000)
#define    NO_VALUE    INT_MAX
#define    MAX_LIMIT   (MAX_VALUE + 100)
#define    MIN_LIMIT   (MIN_VALUE - 100)
#define    PUT_BLACK   1
#define    PUT_WHITE   2

/* end of file */
